# -*- rpm-spec -*-
# $Id: perl-Term-Readline-Gnu,v 1.9 2002/12/03 11:44:40 grigory Exp $

%define module_name Term-Readline-Gnu
%define realname Term-ReadLine-Gnu

Name: perl-%module_name
Version: 1.13
Release: alt2

Summary: Implementation of interface with GNU Readline for Perl
License: GPL
Group: Development/Perl

Source: %realname-%version.tar.bz2
Patch0: %realname-terminfo.patch

AutoReqProv: perl, yes

# Automatically added by buildreq on Tue Dec 03 2002
BuildRequires: libncurses-devel-static libreadline-devel perl-devel

%description
This is an implementation of the interface to the GNU Readline
Library.  This module gives you input line editing facility, input
history management facility, word completion facility, etc.  It uses
the real GNU Readline Library.  And this module has the interface with
the almost all variables and functions which are documented in the GNU
Readline/History Library.  So you can program your custom editing
function, your custom completion function, and so on with Perl.  This
may be useful for prototyping before programming with C.

%prep
%setup -q -n %realname-%version

%build
find . -type f -exec %__subst 's|/usr/local/bin/perl|%__perl|' {} \;
%__perl Makefile.PL \
	PREFIX=/usr \
	INSTALLDIRS=vendor
%make_build OPTIMIZE="$RPM_OPT_FLAGS"

%install
%perl_vendor_install

%files
%doc README
%perl_vendor_archlib/Term*
%perl_vendor_autolib/Term*
%perl_vendor_man3dir/*

%changelog
* Tue Dec  3 2002 Grigory Milev <week@altlinux.ru> 1.13-alt2
- rebuild with tinfo

* Fri Nov 15 2002 Grigory Milev <week@altlinux.ru> 1.13-alt1
- rebuild with new perl
- new version released

* Wed Apr 10 2002 Grigory Milev <week@altlinux.ru> 1.12-alt1
- new version released

* Thu Jan 24 2002 Grigory Milev <week@altlinux.ru> 1.11-alt1
- new version released

* Tue Sep 25 2001 Grigory Milev <week@altlinux.ru> 1.10-alt1
- New version released.

* Tue Jul 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 1.09-ipl7mdk
- Specfile minor cleanup (corrected arch subdirs).
- Corrected summary.

* Mon Jun 25 2001 Konstantin Volckov <goldhead@altlinux.ru> 1.09-ipl6mdk
- Rebuilt with perl-5.6.1
- Some spec cleanup

* Fri Jun 19 2001 Grigory Milev <week@altlinux.ru> 1.09-ipl5mdk
- Spec rewritten for compatibility with new policy.

* Sun Feb 4 2001 AEN <aen@logic.ru>
- RE adaptation
- path patch

* Tue Aug 29 2000 Franois Pons <fpons@mandrakesoft.com> 1.09-3mdk
- build release.

* Thu Aug 03 2000 Franois Pons <fpons@mandrakesoft.com> 1.09-2mdk
- macroszifications.
- add doc.

* Tue Jul 18 2000 Franois Pons <fpons@mandrakesoft.com> 1.09-1mdk
- 1.09.
- removed patch for compilation with perl 5.6.0.

* Mon Apr 04 2000 Franois Pons <fpons@mandrakesoft.com> 1.08-2mdk
- added patch for compilation with perl 5.6.0.
- updated spec file and Group.

* Tue Jan  4 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First package needed for perl-debug.
